# PsychometricsBazzarBase.jl
This module provides a base for the libraries in the JuliaPsychometricsBazzar
org. It contains abstractions over basic mathematical techniques such as
numerical integration, optimization and interpolation.

Ideally, the package will be transitional, since functionality may make its way
into more specific packages (including existing packages) over time.

```@meta
CurrentModule = PsychometricsBazzarBase
```

```@autodocs
Modules = [PsychometricsBazzarBase]
```

## Contents

```@contents
Pages = ["integrators.md", "optimizers.md", "config_tools.md", "integral_coeffs.md", "extra_distributions.md"]
Depth = 1
```

## Index
```@index
```
